/*********************************************************\
*  AVR MegaSquirt - 2003                                  *
*  (C) 2003 [Michael Kristensen, mik@caffrey.dk]          *
***********************************************************
*  -- History --                                          *
*    release 0.1 - 06-03-2003                             *
*            http://caffrey.dk/megasquirt                 *
*    initial Motorola version by Bowling & Grippo (2002)  *
*            http://www.bgsoflex.com/megasquirt.html      *
\*********************************************************/


#ifndef ADC_H
#define ADC_H



// RAW sensor values

#define BATT  0  //Battery Voltage ADC Raw Reading - counts
#define EGO   1  //Exhaust Gas Oxygen ADC Raw Reading - counts
#define TPS   2  //Throttle Position Sensor ADC Raw Reading - counts, represents 0 - 5 volts
#define CLT   3  //Coolant Temperature ADC Raw Reading - counts (0 - 255)
#define MAT   4  //Manifold Air Temp ADC Raw Reading - counts (0 - 255)
#define MAP   5  //Manifold Absolute Pressure ADC Raw Reading - KPa (0 - 255)
#define BARO  6  //Barometer ADC Raw Reading - KPa (0 - 255)



void startADC(void);
uint8_t readADC(uint8_t channel);
void initSensors(void);

#endif
